<template>
  <n-config-provider :locale="zhCN" :date-locale="dateZhCN">
    <AppHeader />
    <NuxtPage />
    <AppFooter />
  </n-config-provider>
</template>

<script lang="ts" setup>
 import { defineComponent } from 'vue'
  import { NConfigProvider } from 'naive-ui'
  import { zhCN, dateZhCN } from 'naive-ui'
import $api from '@/service/webRequest'
import { useStore } from '~/store'
import { useI18n } from 'vue-i18n'
const { locale } = useI18n()
const router = useRouter()
useSeoMeta({
  title: '信阳市第五人民医院',
  ogTitle: '信阳市第五人民医院',
  description: '信阳市第五人民医院',
  ogDescription: '信阳市第五人民医院',
  ogImage: 'https://example.com/image.png',
  twitterCard: 'summary_large_image',
})
//判断是PC还是手机端，跳转不同的页面
const isMobile = ref(false)
onMounted(() => {
  //checkIfMobile();
})
// 检查是否为移动设备的函数
const checkIfMobile = () => {
  // 判断是否是手机端
  const coMobile = /Mobi|Android|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
  if (coMobile) {
    isMobile.value = true;
    router.push('/phone_index')
  } else {
    isMobile.value = false;
    router.push('/')
  }
};
</script>

<style>
#__nuxt {
  height: 100%;
  width: 100%;
}

html,
body {
  position: relative;
  height: 100%;
}

body {
  background: #eee;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 14px;
  color: #000;
  margin: 0;
  padding: 0;
}
</style>
